Bug 971138 - [RFE] Add content searching capabilities to the ISO section of the CLI
[RFE] Add content searching capabilities to the ISO section of the CLI
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Randy Barlow
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 15:15 EDT by Randy Barlow
Modified: 2013-09-10 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-06-05 15:15:46 EDT

    
Comment 1 Randy Barlow 2013-06-05 15:36:11 EDT
https://github.com/pulp/pulp_rpm/pull/225
Comment 2 Jeff Ortel 2013-06-06 12:20:34 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 3 Preethi Thomas 2013-06-18 14:11:35 EDT
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 

[root@ibm-x3550m3-13 ~]# pulp-admin iso repo content
Command: content
Description: search items while optionally specifying sort, limit, skip, and
requested fields

Available Arguments:

  --filters     - filters provided as JSON in mongo syntax. This will override
                  any options specified from the 'Filters' section below.
  --limit       - max number of items to return
  --skip        - number of items to skip
  --sort        - field name, a comma, and either the word "ascending" or
                  "descending". The comma and direction are optional, and the
                  direction defaults to ascending. Do not put a space before or
                  after the comma. For multiple fields, use this option multiple
                  times. Each one will be applied in the order supplied.
  --fields      - comma-separated list of resource fields. Do not include
                  spaces. Default is all fields.
  --repo-id     - (required) identifies the repository to search within
  --after, -a   - matches units added to the source repository on or after the
                  given time; specified as a timestamp in iso8601 format
  --before, -b  - matches units added to the source repository on or before the
                  given time; specified as a timestamp in iso8601 format
  --details, -d - show association details

Filters
  These are basic filtering options that will be AND'd together. These will be
  ignored if --filters= is specified. Any option may be specified multiple
  times. The value for each option should be a field name and value to match
  against, specified as "name=value". Example: $ pulp-admin <command>
  --gt='content_unit_count=0' 

  --str-eq - match where a named attribute equals a string value exactly.
  --int-eq - match where a named attribute equals an int value exactly.
  --match  - for a named attribute, match a regular expression using the mongo
             regex engine.
  --in     - for a named attribute, match where value is in the provided list of
             values, expressed as one row of CSV
  --not    - field and expression to omit when determining units for inclusion
  --gt     - matches resources whose value for the specified field is greater
             than the given value
  --gte    - matches resources whose value for the specified field is greater
             than or equal to the given value
  --lt     - matches resources whose value for the specified field is less than
             the given value
  --lte    - matches resources whose value for the specified field is less than
             or equal to the given value

The following options are required but were not specified:
  --repo-id
[root@ibm-x3550m3-13 ~]# pulp-admin iso repo content --repo-id iso-repo
Name:     test.iso
Size:     3145728
Checksum: 582f1729b0c15eacbb7d02a553c0a96a39f817135c15ac4190aef96e45c4b65d

Name:     test2.iso
Size:     4358144
Checksum: 042c259d546331588e1dff83a46f62a27fb7cf3de4050924470d99fd8d2a046f

Name:     test3.iso
Size:     3244032
Checksum: f56e08898287e60b3169392351e9296bbe28417db1f8e34e8058d124be89b93a


[root@ibm-x3550m3-13 ~]#
Comment 4 Preethi Thomas 2013-09-10 11:43:57 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.